Ryzom - Bug # 935

Status: Closed Priority: Low

Author: Nepherkaan Category: Client: General
Created: 05/25/2010 Assignee: vl

Updated: 05/28/2010 Due date:

Subject: Screenshots saved in a dedicated directory.

Description

This way, no risk to delete a system file in the client main dir.
(would be great for the official client too A ).

History

#1 - 05/25/2010 01:21 pm - nimetu

In Windows, 'My Pictures' should be used by default (if not set differently from config). MacOS might have that aswell.

Linux is tricky so best solution is to use Screenshots config file variable to set the path.

related link for windows http://msdn.microsoft.com/en-us/library/ms995853

data that is changed on running client (except patch), should be moved away from program folder in the end (that means save folder too)

#2 - 05/25/2010 01:30 pm - lubos

Freedesktop has specification for user dirs: http:/freedesktop.org/wiki/Software/xdg-user-dirs

#3 - 05/26/2010 09:19 pm - Nepherkaan

nimetu wrote:

In Windows, 'My Pictures' should be used by default (if not set differently from config). MacOS might have that aswell.

Linux is tricky so best solution is to use Screenshots config file variable to set the path.

related link for windows http.//msdn.microsoft.com/en-us/library/ms995853

data that is changed on running client (except patch), should be moved away from program folder in the end (that means save folder too)

| almost agree with you nimetu, but what i liked with Ryzom was that you take the folder and you don't have to bother looking at different places to find
your files (saved scenarios, map hotspot & so on).

I've already made a patch to put all the Ryzom user's data in the same folder /ryzom/screeshots at this moment. But i wonder what's the best ....

#4 - 05/28/2010 04:32 pm - vl

- Category set to Client: General

- Status changed from New to Assigned
- Assignee set to vl

- Target version set to Version 0.8.0
http://msdn.microsoft.com/en-us/library/ms995853
http://freedesktop.org/wiki/Software/xdg-user-dirs
http://msdn.microsoft.com/en-us/library/ms995853

| agree that it's nice to have everything in ryzom/ directory so we can copy/paste the directory and have 2 instances of ryzom without conflicts with

user directory and so on.

If we want to use official path, we need to add a variable in the cfg that tell it and then use all official path for screenshot but also all other files.

#5 - 05/28/2010 04:40 pm - kervala

Perhaps could we move them to "save" folder ? Logs, key config, etc... are already saved in "save" folder so it should be THE folder to backup :)

#6 - 05/28/2010 05:19 pm - vI
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r233.

#7 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed

Files
patch_screenshot_dir.diff 1.4 kB 05/25/2010 Nepherkaan
